Subject: [Diffserv-interest] ns 2.2x installing problem

From: Elahe Alipour <[email-masked]>
Date: Sat, 21 Jul 2007 12:46:54 -0700 (PDT)

Hello everyone
  
I installed ns 2.31 without any problem on centos5. but now I have a problem on installing ns allinone 2.28.
At first i received this error: 
  
*"checking system version (for dynamic loading)... ./configure: line
7624: syntax error near unexpected token ')'
./configure: line 7624: ' OSF*)'
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project. Please see www.Scriptics.com to see
if they have a fix for your problem."
   
  and I found a solution in Internet:
  
"The problem lies in how bash 3.1.x and 4.x.x parse the configure file. This
will simply pass through bash 3.0.x and lower versions. So in order to make
things work changed the following lines 
  
tcl: file tcl8.x.x/unix/tcl.m4.
tk: file tk8.x.x/unix/tcl.m4.
otcl: file otcl-1.x/configure.in.
   
  to:
   
  system=MP-RAS-`awk ' { print $3 } '/etc/.relid` 
  
Now after changing the configuration files you will have
to delete older configure file and any cache if it exists in the respective
folders. After that do not forget to run autoconf from command line in the
respective folders to generate a fresh configure file." 
  
i change the three above files then i run autoconf (without deleting any configuration file!) 
  
root@localhost unix]# autoconf
  
and i saw this error:
   
  "configure.in:199: error: do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS' If this token and others are legitimate, please use m4_pattern_allow. See the Autoconf documentation."
  
and now i don't now how to solve this. 
  
can anybody help me? 
regards, 
  
[email-masked]

---------------------------------
Fussy? Opinionated? Impossible to please? Perfect.  Join Yahoo!'s user panel and lay it on us.

_______________________________________________
Diffserv-interest mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv-interest